Skip to main content
POST
CLI

Authorizations

Authorization
string
header
required

API Key in Bearer format (e.g., Bearer sk_test_...)

Headers

X-API-Key
string

API key

Path Parameters

id
string
required

External account ID

Response

External account closed successfully

id
string
required

Account ID

Example:

"eba_1234567890abcdef"

customerId
string
required

Customer ID

Example:

"cust_abc123"

type
enum<string>
required

Account type

Available options:
EXTERNAL_BANK,
EXTERNAL_PROXY
Example:

"EXTERNAL_BANK"

status
enum<string>
required

Account status

Available options:
IN_REVIEW,
ACTIVE,
CLOSED
Example:

"IN_REVIEW"

beneficiaryType
enum<string>
required

Beneficiary type

Available options:
INDIVIDUAL,
BUSINESS
Example:

"INDIVIDUAL"

beneficiaryName
string
required

Beneficiary name

Example:

"John Smith"

paymentRail
enum<string>
required

Primary payment rail for this account

Available options:
ACH,
ACH_SAME_DAY,
WIRE,
FEDWIRE,
FED_NOW,
RTP,
EREBOR,
EREBOR_RAIL,
BALANCE,
SWIFT,
SEPA,
SEPA_INSTANT,
TIPS,
FASTER_PAYMENTS,
BACS,
CHAPS,
ELIXIR,
NICS,
EFT,
INTERAC,
NPP,
BECS,
UPI,
IMPS,
IMPS_WITH_FIRC,
NEFT,
RTGS,
BI_FAST,
ARTAJASA,
PIX,
TED,
TEF,
SPEI,
COELSA,
SINPE,
CIPS,
CFXPS,
CHATS,
ZENGIN,
KFTC,
FAST_SG,
MEPS,
DUITNOW,
PROMPTPAY,
INSTAPAY,
PESONET,
NAPAS,
BEFTN,
SLIPS,
ZAHAV,
GHIPSS,
NIBSS,
PESALINK,
RTC_ZA,
TZS_RTGS,
EGP_ACH,
JOD_ACH,
NPSS,
MADA,
QPS,
DOP_ACH,
GTQ_ACH,
HNL_ACH,
PEN_ACH,
JMD_ACH,
USD_ACH_SV,
USD_ACH_EC,
CLP_TEF,
PSE,
COP_ACH,
BOB_RTGS,
PYG_ACH,
CERTIS,
DKK_TIPS,
SENT,
NKS,
BANKGIROT,
HKD_FPS,
IBFT,
TRY_FAST
Example:

"SWIFT"

createdAt
string<date-time>
required

Account creation date

Example:

"2026-01-15T10:00:00Z"

updatedAt
string<date-time>
required

Account last update date

Example:

"2026-01-15T10:00:00Z"

counterpartyId
string | null

Counterparty ID when this is a third-party recipient account

Example:

"cp_abc123"

metadata
object

Custom metadata for your application, including account nickname

paymentRails
enum<string>[]

All payment rails this account supports (bank accounts only)

Available options:
ACH,
ACH_SAME_DAY,
WIRE,
FEDWIRE,
FED_NOW,
RTP,
EREBOR,
EREBOR_RAIL,
BALANCE,
SWIFT,
SEPA,
SEPA_INSTANT,
TIPS,
FASTER_PAYMENTS,
BACS,
CHAPS,
ELIXIR,
NICS,
EFT,
INTERAC,
NPP,
BECS,
UPI,
IMPS,
IMPS_WITH_FIRC,
NEFT,
RTGS,
BI_FAST,
ARTAJASA,
PIX,
TED,
TEF,
SPEI,
COELSA,
SINPE,
CIPS,
CFXPS,
CHATS,
ZENGIN,
KFTC,
FAST_SG,
MEPS,
DUITNOW,
PROMPTPAY,
INSTAPAY,
PESONET,
NAPAS,
BEFTN,
SLIPS,
ZAHAV,
GHIPSS,
NIBSS,
PESALINK,
RTC_ZA,
TZS_RTGS,
EGP_ACH,
JOD_ACH,
NPSS,
MADA,
QPS,
DOP_ACH,
GTQ_ACH,
HNL_ACH,
PEN_ACH,
JMD_ACH,
USD_ACH_SV,
USD_ACH_EC,
CLP_TEF,
PSE,
COP_ACH,
BOB_RTGS,
PYG_ACH,
CERTIS,
DKK_TIPS,
SENT,
NKS,
BANKGIROT,
HKD_FPS,
IBFT,
TRY_FAST
Example:
beneficiaryAddress
object

Beneficiary address (bank accounts only)

beneficiaryPhone
string

Beneficiary phone number

Example:

"+12125551234"

beneficiaryDateOfBirth
string<date>

Account holder's date of birth

Example:

"1990-01-31"

bankName
string

Bank name (bank accounts only)

Example:

"JPMorgan Chase Bank"

bankAddress
object

Bank address (bank accounts only)

swiftBic
string

SWIFT/BIC code (bank accounts only)

Example:

"CHASUS33"

iban
string

IBAN (bank accounts only)

Example:

"GB82WEST12345698765432"

accountNumber
string

Bank account number (bank accounts only)

Example:

"1234567890"

routingNumber
string

Bank routing code (ABA routing number, sort code, BSB, IFSC, etc.)

Example:

"021000021"

branchCode
string

Bank branch code (for countries like Japan, Brazil, South Africa that use separate branch identifiers)

Example:

"001"

beneficiaryDocumentType
string

Type of the beneficiary's national/tax identification document (rail-specific codes, e.g. CC/NIT for Colombia, RUT for Chile)

Example:

"CC"

beneficiaryDocumentNumber
string

The beneficiary's national/tax identification document number

Example:

"12345678901"

beneficiaryStateProvince
string

The beneficiary's state/department/province (rails that require it on payouts, e.g. Peru ACH)

Example:

"LIMA"

correspondentBankName
string

Correspondent/intermediary bank name (SWIFT)

Example:

"Bank of America"

correspondentBankSwiftCode
string

Correspondent/intermediary bank SWIFT/BIC code (SWIFT)

Example:

"IRVTUS3NXXX"

correspondentAccountNumber
string

Correspondent/intermediary account number (SWIFT)

Example:

"9876543210"

bankAccountType
enum<string>

Bank account type (bank accounts only)

Available options:
checking,
savings
Example:

"checking"

currencyCodes
string[]

Supported currency codes

Example:
aliasType
enum<string>

Type of proxy alias (proxy accounts only)

Available options:
PHONE,
EMAIL,
NATIONAL_ID,
TAX_ID,
RANDOM,
CORPORATE_ID
Example:

"TAX_ID"

aliasValue
string

The proxy alias value (proxy accounts only)

Example:

"12345678901"

created
boolean

Present on create responses. true = a new account was inserted. false = an existing account matched (bank: customer + the exact normalized identifier set supplied; proxy: customer + alias + rail) and was reused. For bank accounts, existing paymentRails are not updated by create — use PATCH to add rails; missing create-only fields may still be backfilled and conflicting values return 400. For proxy accounts, inspect paymentRail (proxies do not return paymentRails).

Example:

true